package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.system.domain.EpsServerRevenueConfig;

import java.util.List;
import java.util.Map;

/**
 * 服务器收益方式配置Service接口
 * 
 * @author gyt
 * @date 2025-08-19
 */
public interface IEpsServerRevenueConfigService 
{
    /**
     * 查询服务器收益方式配置
     * 
     * @param id 服务器收益方式配置主键
     * @return 服务器收益方式配置
     */
    public EpsServerRevenueConfig selectEpsServerRevenueConfigById(Long id);

    /**
     * 查询服务器收益方式配置列表
     * 
     * @param epsServerRevenueConfig 服务器收益方式配置
     * @return 服务器收益方式配置集合
     */
    public List<EpsServerRevenueConfig> selectEpsServerRevenueConfigList(EpsServerRevenueConfig epsServerRevenueConfig);

    /**
     * 新增服务器收益方式配置
     * 
     * @param epsServerRevenueConfig 服务器收益方式配置
     * @return 结果
     */
    public int insertEpsServerRevenueConfig(EpsServerRevenueConfig epsServerRevenueConfig);

    /**
     * 修改服务器收益方式配置
     * 
     * @param epsServerRevenueConfig 服务器收益方式配置
     * @return 结果
     */
    public int updateEpsServerRevenueConfig(EpsServerRevenueConfig epsServerRevenueConfig);

    /**
     * 批量删除服务器收益方式配置
     * 
     * @param ids 需要删除的服务器收益方式配置主键集合
     * @return 结果
     */
    public int deleteEpsServerRevenueConfigByIds(Long[] ids);

    /**
     * 删除服务器收益方式配置信息
     * 
     * @param id 服务器收益方式配置主键
     * @return 结果
     */
    public int deleteEpsServerRevenueConfigById(Long id);

    /**
     * 保存业务相关流量表
     * @param epsServerRevenueConfig
     */
    R<String> autoSaveServiceTrafficData(EpsServerRevenueConfig epsServerRevenueConfig);
    /**
     * 当前在线服务器的流量相关的业务数
     * @return
     */
    Integer countBusinessByTraffic();
    /**
     * 当日业务的在线设备数量统计TOP5
     * @return
     */
    List<Map> countDeviceNumTop5();
}
